=== debian/changelog ===
matrix-synapse (1.78.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Adjust dependencies.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 18 Mar 2023 08:01:24 +0100

matrix-synapse (1.78.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 01 Mar 2023 22:49:36 +0100

matrix-synapse (1.74.0-1~bpo11+2) bullseye-backports; urgency=medium

  * Relax optional dependency on pyicu to 2.5.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 20 Feb 2023 12:07:57 +0100

matrix-synapse (1.74.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 19 Feb 2023 09:35:24 +0100

matrix-synapse (1.73.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 24 Dec 2022 15:24:05 +0100

matrix-synapse (1.72.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 01 Dec 2022 09:24:24 +0100

matrix-synapse (1.71.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 23 Nov 2022 14:26:29 +0100

matrix-synapse (1.70.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 04 Nov 2022 10:53:53 +0100

matrix-synapse (1.69.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 26 Oct 2022 18:37:50 +0200

matrix-synapse (1.68.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 18 Oct 2022 10:35:21 +0100

matrix-synapse (1.66.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Update the pip dependency patch to work with Python 3.9.
  * Require Python 3.9.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 06 Sep 2022 21:41:03 +0200

matrix-synapse (1.63.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 09 Aug 2022 15:10:33 +0200

matrix-synapse (1.61.0-1~bpo11+3) bullseye-backports; urgency=medium

  * SECURITY ISSUE: GHSA-22p3-qrh9-cx32 / CVE-2022-31052.
    Synapse instances with the url_preview_enabled homeserver config option
    set to true are affected. URL previews of some web pages can lead to
    unbounded recursion, causing the request to either fail, or in some
    cases crash the running Synapse process.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 28 Jun 2022 19:03:13 +0200

matrix-synapse (1.61.0-1~bpo11+2) bullseye-backports; urgency=medium

  * Patch the matrix-common dependency to >= (Closes: #1013745).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 25 Jun 2022 12:21:18 +0200

matrix-synapse (1.61.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 24 Jun 2022 09:37:49 +0200

matrix-synapse (1.59.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 19 Jun 2022 15:18:18 +0200

matrix-synapse (1.57.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 04 May 2022 14:18:44 +0100

matrix-synapse (1.55.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 29 Mar 2022 09:34:18 +0200

matrix-synapse (1.53.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 05 Mar 2022 07:52:56 +0100

matrix-synapse (1.52.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 16 Feb 2022 13:48:38 +0100

matrix-synapse (1.51.0-1~bpo11+2) bullseye-backports; urgency=medium

  * Depend on newer dh-python to ensure proper dependencies of binary
    packages.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 09 Feb 2022 12:02:23 +0100

matrix-synapse (1.51.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 08 Feb 2022 23:23:34 +0100

matrix-synapse (1.49.0-1~bpo11+3) bullseye-backports; urgency=medium

  * Fix an endless loop with "Invalid prev_events for <event_id>".

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 24 Jan 2022 17:41:55 +0100

matrix-synapse (1.49.0-1~bpo11+2) bullseye-backports; urgency=medium

  * Fix a regression by cherry-picking an upstream fix from 1.49.2.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 21 Dec 2021 20:55:17 +0100

matrix-synapse (1.49.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 21 Dec 2021 16:57:15 +0100

matrix-synapse (1.48.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 06 Dec 2021 08:38:44 +0100

matrix-synapse (1.47.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 25 Nov 2021 09:13:01 +0100

matrix-synapse (1.47.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Fix security vulnerability in the media repository
    (CVE-2021-41281).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 23 Nov 2021 13:10:15 +0100

matrix-synapse (1.46.0-1~bpo11+3) bullseye-backports; urgency=high

  * Fix security vulnerability in the media repository
    (CVE-2021-41281).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 23 Nov 2021 00:00:00 +0000

matrix-synapse (1.46.0-1~bpo11+2) bullseye-backports; urgency=medium

  * Rebuild.


