## matrix-synapse 1.90.0

=== debian/changelog ===
matrix-synapse (1.90.0-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Update licenses.
  * Build Rust extension reproducibly.

  [ Antonio Russo ]
  * Refresh patches.
  * Refresh canonicaljson dependency.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 31 Aug 2023 14:46:27 +0200
