=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-single-binary,
  dh-sequence-python3,
- dh-python (>= 5),
  libjs-jquery,
  po-debconf,
  pybuild-plugin-pyproject,
@@ -16,10 +16,10 @@
  python3-bcrypt,
  python3-bleach (>= 1.4.2),
  python3-cryptography,
- python3-canonicaljson (>= 1.6.2~),
+ python3-canonicaljson (>= 2.0.0~),
  python3-daemonize,
  python3-frozendict (>= 1.2-3~),
- python3-icu (>= 2.5~),
+ python3-icu (>= 2.10.2~),
  python3-idna,
  python3-ijson (>= 3.1.4),
  python3-jinja2 (>= 3.0),
@@ -64,9 +64,8 @@
 Depends:
  adduser,
  libjs-jquery,
- lsb-base (>= 3.0-6),
- libpython3-stdlib (<< 3.6.4~rc1-2~) | python3-distutils,
- python3 (>= 3.9),
+ lsb-base,
+ python3-distutils,
  python3-bleach,
  python3-jinja2 (>= 3.0~),
  python3-lxml,
