## matrix-synapse 1.94.0

=== debian/changelog ===
matrix-synapse (1.94.0-1) unstable; urgency=high

  * New upstream release (CVE-2023-45129).

 -- Antonio Russo <aerusso@aerusso.net>  Wed, 11 Oct 2023 14:04:46 +0100

matrix-synapse (1.93.0-1) unstable; urgency=medium

  [ Antonio Russo ]
  * New upstream release (Closes: #1053283, CVE-2023-42453, CVE-2023-41335).
  * Refresh patches.
  * Revert pillow version bump.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 01 Oct 2023 09:41:18 +0200

matrix-synapse (1.92.0-3) unstable; urgency=medium

  * Add the missing dh-cargo build-dependency.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Sep 2023 08:31:13 +0200

matrix-synapse (1.92.0-2) unstable; urgency=medium

  [ Antonio Russo ]
  * Run tests.

  [ Andrej Shadura ]
  * Don’t require test dependencies in nocheck mode.
  * Simplify dependencies on Rust crates by using semver virtual packages.
  * Generate Build-Using and Static-Built-Using.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 25 Sep 2023 22:58:29 +0200

matrix-synapse (1.92.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove vendored sources and related infrastructure.
  * Use Rust crates from Debian.
  * Bump pyo3 dependency.

 -- Antonio Russo <aerusso@aerusso.net>  Mon, 18 Sep 2023 22:49:51 +0200

matrix-synapse (1.91.2-2) unstable; urgency=medium

  * Revert upstream Cargo.lock changes.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 10 Sep 2023 13:34:33 +0200

matrix-synapse (1.91.2-1) unstable; urgency=medium

  * New upstream release.

  [ Antonio Russo ]
  * Replace frozendict dependency by immutabledict.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 10 Sep 2023 12:56:47 +0200
