## matrix-synapse 1.95.0

=== debian/changelog ===
matrix-synapse (1.95.0-1) unstable; urgency=medium

  * New upstream release.
  * Relax upstream pyo3 0.19 dependency.
  * Drop patch for pyo3 applied upstream.

 -- Antonio Russo <aerusso@aerusso.net>  Tue, 24 Oct 2023 17:59:40 -0600
