## matrix-synapse 1.95.1

=== debian/changelog ===
matrix-synapse (1.95.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 09 Nov 2023 08:57:43 +0100

matrix-synapse (1.95.1-1) unstable; urgency=high

  * New upstream release (CVE-2023-43796, Closes: #1055255).

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Sat, 04 Nov 2023 21:12:29 +0100

matrix-synapse (1.95.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Cherry-pick fix for GHSA-mp92-3jfm-3575 (CVE-2023-43796),
    closes: #1055255.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 08 Nov 2023 18:04:53 +0100

matrix-synapse (1.94.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 13 Oct 2023 12:25:58 +0100

matrix-synapse (1.92.0-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Drop Static-Built-Using to avoid build dependency on
    dh-sequence-builtusing.
  * Downgrade pyo3 dependency back to what’s in backports.
  * Add build dependency on aho-corasick since our Rust crate combination
    in backports needs it.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 03 Oct 2023 09:37:58 +0200

matrix-synapse (1.91.2-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 27 Sep 2023 14:53:14 +0200
