=== debian/control ===
--- 
+++ 
@@ -5,9 +5,21 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-cargo,
  dh-sequence-single-binary,
  dh-sequence-python3,
  libjs-jquery,
+ librust-anyhow-1-dev (>= 1.0.63),
+ librust-blake2-0.10-dev (>= 0.10.4),
+ librust-hex-0.4-dev (>= 0.4.3),
+ librust-lazy-static-1-dev (>= 1.4.0),
+ librust-log-0.4-dev (>= 0.4.17),
+ librust-pyo3-0.17-dev (>= 0.17.0),
+ librust-pyo3-log-0.8-dev (>= 0.8.1),
+ librust-pythonize-0.19-dev (>= 0.19.0),
+ librust-regex-1+aho-corasick-dev (>= 1.6.0),
+ librust-serde-1-dev (>= 1.0.144),
+ librust-serde-json-1-dev (>= 1.0.85),
  po-debconf,
  pybuild-plugin-pyproject,
  python3-poetry-core,
@@ -18,10 +30,10 @@
  python3-cryptography,
  python3-canonicaljson (>= 2.0.0~),
  python3-daemonize,
- python3-frozendict (>= 1.2-3~),
  python3-icu (>= 2.10.2~),
  python3-idna,
  python3-ijson (>= 3.1.4),
+ python3-immutabledict (>= 2.0.0),
  python3-jinja2 (>= 3.0),
  python3-jsonschema (>= 3.0.0),
  python3-lxml (>= 4.2.0),
@@ -32,6 +44,7 @@
  python3-netaddr (>= 0.7.18),
  python3-openssl (>= 0.14),
  python3-packaging (>= 16.1),
+ python3-parameterized <!nocheck>,
  python3-phonenumbers,
  python3-pil (>= 5.4.0),
  python3-prometheus-client,
@@ -40,6 +53,8 @@
  python3-pydantic (>= 1.7.4),
  python3-pymacaroons (>= 0.13.0),
  python3-pysaml2 (>= 4.0.0),
+ python3-pytest <!nocheck>,
+ python3-pytest-twisted <!nocheck>,
  python3-service-identity (>= 18.1.0),
  python3-setuptools (>= 0.6b3),
  python3-setuptools-rust (>= 1.2.0~),
@@ -81,6 +96,8 @@
 Suggests:
  python3-jwt (>= 1.6.4),
  python3-authlib (>= 0.14.0),
+Built-Using: ${cargo:Built-Using}
+XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
 Recommends:
  python3-pympler,
  matrix-synapse-ldap3,
