=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 
 execute_after_dh_auto_clean:
 	rm -rf debian/cargo_registry
+	mv Cargo.lock debian/Cargo.lock.orig || true
 
 override_dh_auto_install:
 	dh_auto_install
@@ -36,6 +37,7 @@
 		-e 's,#!/usr/bin/env perl,#!/usr/bin/perl,' \
 		debian/*/usr/bin/*
 	mv debian/*/usr/bin/* debian/*/usr/libexec/*/
+	/usr/share/cargo/bin/dh-cargo-built-using matrix-synapse
 
 execute_after_dh_installdocs:
 	mv debian/$(PYBUILD_NAME)/usr/share/doc/matrix-synapse/installation.md \
@@ -52,11 +54,8 @@
 override_dh_compress:
 	dh_compress -XREADME
 
-override_dh_auto_test:
+override_dh_auto_clean:
+	mv debian/Cargo.lock.orig Cargo.lock || true
+	dh_auto_clean
 
-vendor:
-	-[ -d vendor ] && rm -rf vendor
-	cargo vendor --locked
-	tar Jcf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig-vendor.tar.xz vendor/
-
-.PHONY: override_dh_auto_install override_dh_auto_test vendor
+.PHONY: override_dh_auto_install
