## matrix-synapse 1.97.0

=== debian/changelog ===
matrix-synapse (1.97.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 29 Nov 2023 09:30:19 +0100
