=== debian/control ===
--- 
+++ 
@@ -8,16 +8,17 @@
  dh-cargo,
  dh-sequence-single-binary,
  dh-sequence-python3,
+ dh-sequence-builtusing,
  libjs-jquery,
  librust-anyhow-1-dev (>= 1.0.63),
  librust-blake2-0.10-dev (>= 0.10.4),
  librust-hex-0.4-dev (>= 0.4.3),
  librust-lazy-static-1-dev (>= 1.4.0),
  librust-log-0.4-dev (>= 0.4.17),
- librust-pyo3-0.17-dev (>= 0.17.0),
+ librust-pyo3-0.19-dev (>= 0.19.0),
  librust-pyo3-log-0.8-dev (>= 0.8.1),
  librust-pythonize-0.19-dev (>= 0.19.0),
- librust-regex-1+aho-corasick-dev (>= 1.6.0),
+ librust-regex-1-dev (>= 1.6.0),
  librust-serde-1-dev (>= 1.0.144),
  librust-serde-json-1-dev (>= 1.0.85),
  po-debconf,
@@ -98,6 +99,18 @@
  python3-authlib (>= 0.14.0),
 Built-Using: ${cargo:Built-Using}
 XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using:
+ ${dh-builtusing:librust-anyhow-dev},
+ ${dh-builtusing:librust-blake2-dev},
+ ${dh-builtusing:librust-hex-dev},
+ ${dh-builtusing:librust-lazy-static-dev},
+ ${dh-builtusing:librust-log-dev},
+ ${dh-builtusing:librust-pyo3-dev},
+ ${dh-builtusing:librust-pyo3-log-dev},
+ ${dh-builtusing:librust-pythonize-dev},
+ ${dh-builtusing:librust-regex-dev},
+ ${dh-builtusing:librust-serde-dev},
+ ${dh-builtusing:librust-serde-json-dev},
 Recommends:
  python3-pympler,
  matrix-synapse-ldap3,
