## matrix-synapse 1.100.0

=== debian/changelog ===
matrix-synapse (1.100.0-1ubuntu1) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 12:32:49 +0100

matrix-synapse (1.100.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Russo <aerusso@aerusso.net>  Wed, 31 Jan 2024 17:50:11 +0100

matrix-synapse (1.99.0-3) unstable; urgency=medium

  * Only run autopkgtests on the current Python.
    Tests expect the temporary directory to not exist, and it only
    makes sense to run tests with the default Python since that’s what
    Synapse runs on.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 27 Jan 2024 15:06:14 +0100

matrix-synapse (1.99.0-2) unstable; urgency=medium

  * Run autopkgtest-pkg-pybuild testsuite.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 27 Jan 2024 09:43:25 +0100

matrix-synapse (1.99.0-1) unstable; urgency=medium

  [ Antonio Russo ]
  * New upstream: Element.
  * New upstream release.
  * Update license and copyright information.
  * Refresh patches.
  * Update build dependencies.

  [ Andrej Shadura ]
  * Drop dependency on the obsolete package lsb-base.
  * Update standards version to 4.6.2, no changes needed.

 -- Antonio Russo <aerusso@aerusso.net>  Fri, 26 Jan 2024 12:20:52 +0100
