=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
  librust-hex-0.4-dev (>= 0.4.3),
  librust-lazy-static-1-dev (>= 1.4.0),
  librust-log-0.4-dev (>= 0.4.17),
- librust-pyo3-0.19-dev (>= 0.19.0),
- librust-pyo3-log-0.8-dev (>= 0.8.1),
- librust-pythonize-0.19-dev (>= 0.19.0),
+ librust-pyo3-0.20-dev (>= 0.20.0),
+ librust-pyo3-log-0.9-dev (>= 0.9.0),
+ librust-pythonize-0.20-dev (>= 0.20.0),
  librust-regex-1-dev (>= 1.6.0),
  librust-serde-1-dev (>= 1.0.144),
  librust-serde-json-1-dev (>= 1.0.85),
@@ -67,8 +67,9 @@
  python3-typing-extensions (>= 3.10~),
  python3-unpaddedbase64 (>= 2.1.0~),
  python3-yaml
-Standards-Version: 4.6.0
-Homepage: https://matrix.org/docs/projects/server/synapse.html
+Standards-Version: 4.6.2
+Testsuite: autopkgtest-pkg-pybuild
+Homepage: https://github.com/element-hq/synapse
 Vcs-Browser: https://salsa.debian.org/matrix-team/matrix-synapse
 Vcs-Git: https://salsa.debian.org/matrix-team/matrix-synapse.git
 Rules-Requires-Root: no
@@ -80,8 +81,6 @@
 Depends:
  adduser,
  libjs-jquery,
- lsb-base,
- python3-distutils,
  python3-bleach,
  python3-jinja2 (>= 3.0~),
  python3-lxml,
