=== debian/rules ===
--- 
+++ 
@@ -58,4 +58,12 @@
 	mv debian/Cargo.lock.orig Cargo.lock || true
 	dh_auto_clean
 
-.PHONY: override_dh_auto_install
+PYTHONS=$(wildcard /usr/bin/python3.? /usr/bin/python3.??)
+CURRENT_PYTHON=$(shell readlink -f /usr/bin/python3)
+OTHER_PYTHONS=$(filter-out $(CURRENT_PYTHON),$(PYTHONS))
+OTHER_PYTHON_VERSIONS=$(subst /usr/bin/python,,$(OTHER_PYTHONS))
+
+pybuild-autopkgtest: export PYBUILD_VERBOSE=1
+pybuild-autopkgtest: export PYBUILD_DISABLE=$(OTHER_PYTHON_VERSIONS)
+
+.PHONY: pybuild-autopkgtest
