## matrix-synapse 1.121.0

=== debian/changelog ===
matrix-synapse (1.121.0-4) unstable; urgency=medium

  * Fix typo in Belarusian debconf template translation.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 21 Dec 2024 13:56:27 +0100

matrix-synapse (1.121.0-3) unstable; urgency=medium

  [ Remus-Gabriel Chelu ]
  * Add Romanian debconf template translation (Closes: #1090925)

  [ Andrej Shadura ]
  * Add Belarusian debconf template translation.
  * Add Slovak debconf template translation.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 21 Dec 2024 13:54:24 +0100

matrix-synapse (1.121.0-2) unstable; urgency=medium

  [ Colin Watson ]
  * Handle python3-multipart → python3-python-multipart renaming.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 13 Dec 2024 08:30:54 +0100

matrix-synapse (1.121.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Temporarily revert pyo3 version bump
  * Apply patches from the Twisted 24.11 compatibility upstream MR.

 -- Antonio Russo <aerusso@aerusso.net>  Thu, 12 Dec 2024 10:15:24 +0100

matrix-synapse (1.116.0-4) unstable; urgency=medium

  * Require python3-typing-extensions >= 4.1.
  * Regenerate the patch series.
  * Apply upstream patch for Twisted 24.10.0 compatibility:
    - Remove usage of internal header encoding API
    Closes: #1087239
  * Temporarily skip test failures.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 10 Nov 2024 20:57:58 +0100

matrix-synapse (1.116.0-3) unstable; urgency=medium

  [ Peter Michael Green ]
  * Fix build process so vendored sources are actually used
    (Closes: #1084037).
  * Relax cargo dependency and Debian build-dependency on base64 crate.
  * Fix clean target.

  [ Antonio Russo ]
  * python3-cryptography is now available.
  * Clean up old, removed dependencies.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 08 Oct 2024 13:11:26 +0200

matrix-synapse (1.116.0-2) unstable; urgency=medium

  * Removing myself as uploader,
    with sincere apology for total lack of coordination
  * Revert to again build-depend on dh-cargo (not dh-rust)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Oct 2024 23:13:22 +0200

matrix-synapse (1.116.0-1) unstable; urgency=medium

  [ Upstream ]
  * New release(s)
    + Bump twisted to 24.7.0;
      closes: bug#1079083, thanks to Colin Watson

  [ Jonas Smedegaard ]
  * Update and unfuzz patches
  * Add patch to accept older releases/branches
    of crates bytes, headers and http
  * Update copyright info:
    + Update source URI
    + Add Upstream-Contact URI
    + Update coverage
    + Sort license sections alphabetically;
    + Use reference field for license section Apache-2.0
  * Update build-dependencies and dh-builtusing hints
  * Simplify rules;
    build-depend on dh-rust (not dh-cargo);
    add X-Cargo-Crates hint;
    drop patch debian-rust
  * Add unofficial rule get-vendorlibs,
    to embed crates listed in TODO
  * Embed crates pyo3, while Debian-packaged crates are too new;
    closes: bug#1080392, thanks to Santiago Vila
  * Embed crate ulid, until separately packaged in Debian
    (see bug#1083195)
  * Add source helper script copyright-check
  * Add myself as uploader
  * Enable hardening build options
  * Use upstream optimization level

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Oct 2024 19:02:50 +0200

matrix-synapse (1.103.0-5) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Remove python3-distutils from Dependency, it was already removed by upstream
    (Closes: #1065900)

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 13 Jul 2024 22:51:08 +0200

matrix-synapse (1.103.0-4) unstable; urgency=medium

  * Ignore test failures on 32-bit architectures.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 29 May 2024 10:29:25 +0200

matrix-synapse (1.103.0-3) unstable; urgency=high

  * Add a patch CVE-2024-31208 depends on and a regression fix for it.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 29 May 2024 08:49:31 +0200

matrix-synapse (1.103.0-2) unstable; urgency=medium

  * Fix CVE-2024-31208 / GHSA-3h7q-rfh9-xm4v:
    - Weakness in auth chain indexing allows DoS from remote room members
      through disk fill and high CPU usage.
    Closes: 1069763

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 25 May 2024 16:22:51 +0200

matrix-synapse (1.103.0-1) unstable; urgency=medium

  [ Antonio Russo ]
  * New upstream release.

  [ Andrej Shadura ]
  * Remove obsolete build-dependency python3-mock (Closes: #1067236).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Mar 2024 17:48:38 +0100
