=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: matrix-synapse
 Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
-Uploaders: Andrej Shadura <andrewsh@debian.org>
+Uploaders:
+ Andrej Shadura <andrewsh@debian.org>,
 Section: net
 Priority: optional
 Build-Depends:
@@ -10,17 +11,53 @@
  dh-sequence-python3,
  dh-sequence-builtusing,
  libjs-jquery,
- librust-anyhow-1-dev (>= 1.0.63),
- librust-blake2-0.10-dev (>= 0.10.4),
- librust-hex-0.4-dev (>= 0.4.3),
- librust-lazy-static-1-dev (>= 1.4.0),
- librust-log-0.4-dev (>= 0.4.17),
- librust-pyo3-0.20-dev (>= 0.20.0),
- librust-pyo3-log-0.9-dev (>= 0.9.0),
- librust-pythonize-0.20-dev (>= 0.20.0),
- librust-regex-1-dev (>= 1.6.0),
- librust-serde-1-dev (>= 1.0.144),
- librust-serde-json-1-dev (>= 1.0.85),
+ librust-anyhow-1+default-dev (>= 1.0.63),
+ librust-base64-0+default-dev (>= 0.21.7),
+ librust-bytes-1+default-dev (>= 1.5),
+ librust-blake2-0.10+default-dev (>= 0.10.4) <!nocheck>,
+ librust-headers-dev (<< 0.5),
+ librust-http-dev (<< 2),
+ librust-hex-0.4+default-dev (>= 0.4.3) <!nocheck>,
+ librust-lazy-static-1+default-dev (>= 1.4.0),
+ librust-log-0.4+default-dev (>= 0.4.17),
+ librust-mime-0.3+default-dev (>= 0.3.17),
+#FIXME: enable when upstream project supports pyo3 v0.22 (not only v0.21)
+# librust-pyo3-0.22+abi3-dev,
+# librust-pyo3-0.22+abi3-py38-dev,
+# librust-pyo3-0.22+anyhow-dev,
+# librust-pyo3-0.22+default-dev,
+# librust-pyo3-0.22+macros-dev,
+# librust-pyo3-log-0.11+default-dev,
+# librust-pythonize-0.21+default-dev,
+#FIXME: drop below unversioned build-dependencies when above is solved
+ librust-anyhow-dev,
+ librust-arc-swap-dev,
+ librust-chrono-tz-dev,
+ librust-eyre+default-dev,
+ librust-indoc-dev,
+ librust-inventory-dev,
+ librust-memoffset-dev,
+ librust-num-complex-dev,
+ librust-pyo3-ffi-dev,
+ librust-pyo3-macros-dev,
+ librust-rust-decimal-dev,
+ librust-unindent-dev,
+#FIXME: above below unversioned build-dependencies when above is solved
+ librust-regex-1+default-dev (>= 1.6.0),
+ librust-serde-1+default-dev (>= 1.0.144),
+ librust-serde-1+derive-dev (>= 1.0.144),
+ librust-serde-json-1+default-dev (>= 1.0.85),
+ librust-sha2-0.10+default-dev (>= 0.10.8),
+#FIXME: enable when ulid is in Debian
+# librust-ulid-1+default-dev (>= 1.1.2),
+#FIXME: drop below unversioned build-dependency when ulid is in Debian
+ librust-bytes-dev,
+ librust-postgres-types-dev,
+ librust-rand-dev,
+ librust-structopt-dev,
+ librust-time-dev,
+ librust-uuid-dev,
+#FIXME: drop above unversioned build-dependency when ulid is in Debian
  po-debconf,
  pybuild-plugin-pyproject,
  python3-poetry-core,
@@ -30,7 +67,6 @@
  python3-bleach (>= 1.4.2),
  python3-cryptography,
  python3-canonicaljson (>= 2.0.0~),
- python3-daemonize,
  python3-icu (>= 2.10.2~),
  python3-idna,
  python3-ijson (>= 3.1.4),
@@ -39,8 +75,9 @@
  python3-jsonschema (>= 3.0.0),
  python3-lxml (>= 4.2.0),
  python3-matrix-common (>= 1.3.0~),
- python3-mock,
  python3-msgpack (>= 0.5.0),
+ python3-multipart (>= 0.0.9) | python3-python-multipart,
+ python3-multipart (<< 0.1) | python3-python-multipart,
  python3-nacl (>= 1.2.1),
  python3-netaddr (>= 0.7.18),
  python3-openssl (>= 0.14),
@@ -64,7 +101,7 @@
  python3-systemd,
  python3-treq (>= 18),
  python3-twisted (>= 18.9.0-8~),
- python3-typing-extensions (>= 3.10~),
+ python3-typing-extensions (>= 4.1~),
  python3-unpaddedbase64 (>= 2.1.0~),
  python3-yaml
 Standards-Version: 4.6.2
@@ -100,16 +137,25 @@
 XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
 Static-Built-Using:
  ${dh-builtusing:librust-anyhow-dev},
+ ${dh-builtusing:librust-base64-dev},
  ${dh-builtusing:librust-blake2-dev},
+ ${dh-builtusing:librust-bytes-dev},
+ ${dh-builtusing:librust-headers-dev},
  ${dh-builtusing:librust-hex-dev},
+ ${dh-builtusing:librust-http-dev},
  ${dh-builtusing:librust-lazy-static-dev},
  ${dh-builtusing:librust-log-dev},
- ${dh-builtusing:librust-pyo3-dev},
- ${dh-builtusing:librust-pyo3-log-dev},
- ${dh-builtusing:librust-pythonize-dev},
+ ${dh-builtusing:librust-mime-dev},
+#FIXME: enable when no longer embedding those crates
+# ${dh-builtusing:librust-pyo3-dev},
+# ${dh-builtusing:librust-pyo3-log-dev},
+# ${dh-builtusing:librust-pythonize-dev},
  ${dh-builtusing:librust-regex-dev},
  ${dh-builtusing:librust-serde-dev},
  ${dh-builtusing:librust-serde-json-dev},
+ ${dh-builtusing:librust-sha2-dev},
+#FIXME: enable when no longer embedding that crate
+# ${dh-builtusing:librust-ulid-dev},
 Recommends:
  python3-pympler,
  matrix-synapse-ldap3,
