## matrix-synapse 1.128.0

=== debian/changelog ===
matrix-synapse (1.128.0-1) unstable; urgency=medium

  [ Antonio Russo ]
  * New upstream release.
  * Refresh the default homeserver.yaml.
  * Refresh patches.
  * Vendor un-Debianized Rust dependencies.

  [ Andrej Shadura ]
  * Add Antonio Enrico Russo to Uploaders

 -- Antonio Russo <aerusso@aerusso.net>  Sat, 10 May 2025 23:11:27 +0200

matrix-synapse (1.121.0-6) unstable; urgency=high

  * SECURITY ISSUE: CVE-2025-30355 / GHSA-v56r-hwv5-mxg6 — Federation denial.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 26 Mar 2025 23:01:52 +0100

matrix-synapse (1.121.0-5) unstable; urgency=medium

  * Add Italian debconf translation.
  * Add Spanish debconf translation.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 07 Jan 2025 19:20:19 +0100
