=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
+ Antonio Enrico Russo <aerusso@aerusso.net>,
 Section: net
 Priority: optional
 Build-Depends:
@@ -21,28 +22,36 @@
  librust-lazy-static-1+default-dev (>= 1.4.0),
  librust-log-0.4+default-dev (>= 0.4.17),
  librust-mime-0.3+default-dev (>= 0.3.17),
-#FIXME: enable when upstream project supports pyo3 v0.22 (not only v0.21)
-# librust-pyo3-0.22+abi3-dev,
-# librust-pyo3-0.22+abi3-py38-dev,
-# librust-pyo3-0.22+anyhow-dev,
-# librust-pyo3-0.22+default-dev,
-# librust-pyo3-0.22+macros-dev,
-# librust-pyo3-log-0.11+default-dev,
-# librust-pythonize-0.21+default-dev,
-#FIXME: drop below unversioned build-dependencies when above is solved
+#FIXME: enable when debian ships pyo3 v0.23 (not only v0.22)
+# librust-pyo3-0.23+abi3-dev,
+# librust-pyo3-0.23+abi3-py38-dev,
+# librust-pyo3-0.23+anyhow-dev,
+# librust-pyo3-0.23+default-dev,
+# librust-pyo3-0.23+macros-dev,
+# librust-pyo3-log-0.12+default-dev,
+# librust-pythonize-0.23+default-dev,
+# librust-pyo3-ffi-dev,
+# librust-pyo3-macros-dev,
+#FIXME: drop below build-dependencies when above is solved
  librust-anyhow-dev,
  librust-arc-swap-dev,
  librust-chrono-tz-dev,
  librust-eyre+default-dev,
+#FIXME: enable when debian ships heck v0.5 (not only v0.4.1)
+#librust-heck-dev (>= 0.5),
+ librust-quote-dev,
  librust-indoc-dev,
  librust-inventory-dev,
+ librust-log-dev,
  librust-memoffset-dev,
  librust-num-complex-dev,
- librust-pyo3-ffi-dev,
- librust-pyo3-macros-dev,
+ librust-once-cell-dev,
+ librust-proc-macro2-dev,
  librust-rust-decimal-dev,
+ librust-syn-dev,
+ librust-target-lexicon-dev (>= 0.12.14),
  librust-unindent-dev,
-#FIXME: above below unversioned build-dependencies when above is solved
+#FIXME: above below build-dependencies when above is solved
  librust-regex-1+default-dev (>= 1.6.0),
  librust-serde-1+default-dev (>= 1.0.144),
  librust-serde-1+derive-dev (>= 1.0.144),
@@ -50,14 +59,6 @@
  librust-sha2-0.10+default-dev (>= 0.10.8),
 #FIXME: enable when ulid is in Debian
 # librust-ulid-1+default-dev (>= 1.1.2),
-#FIXME: drop below unversioned build-dependency when ulid is in Debian
- librust-bytes-dev,
- librust-postgres-types-dev,
- librust-rand-dev,
- librust-structopt-dev,
- librust-time-dev,
- librust-uuid-dev,
-#FIXME: drop above unversioned build-dependency when ulid is in Debian
  po-debconf,
  pybuild-plugin-pyproject,
  python3-poetry-core,
