## matrix-synapse 1.136.0

=== debian/changelog ===
matrix-synapse (1.136.0-1) unstable; urgency=medium

  [ Kurt Roeckx ]
  * New upstream release.
    - Refresh the patches
    - Downgrade some version of Rust dependencies
    - Vendor various Rust dependencies

  [ Carles Pina i Estany ]
  * Add po-debconf Catalan translation.

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 12 Aug 2025 21:54:47 +0200
