=== debian/control ===
--- 
+++ 
@@ -36,7 +36,9 @@
  librust-anyhow-dev,
  librust-arc-swap-dev,
  librust-chrono-tz-dev,
+ librust-displaydoc-dev,
  librust-eyre+default-dev,
+ librust-http-body-util-dev,
 #FIXME: enable when debian ships heck v0.5 (not only v0.4.1)
 #librust-heck-dev (>= 0.5),
  librust-quote-dev,
@@ -47,6 +49,7 @@
  librust-num-complex-dev,
  librust-once-cell-dev,
  librust-proc-macro2-dev,
+ librust-reqwest-dev,
  librust-rust-decimal-dev,
  librust-syn-dev,
  librust-target-lexicon-dev (>= 0.12.14),
@@ -57,6 +60,9 @@
  librust-serde-1+derive-dev (>= 1.0.144),
  librust-serde-json-1+default-dev (>= 1.0.85),
  librust-sha2-0.10+default-dev (>= 0.10.8),
+ librust-synstructure-dev,
+ librust-writeable-dev,
+ librust-zerofrom-dev,
 #FIXME: enable when ulid is in Debian
 # librust-ulid-1+default-dev (>= 1.1.2),
  po-debconf,
