=== debian/rules ===
--- 
+++ 
@@ -103,35 +103,35 @@
 
 # custom target unused during official build
 get-vendorlibs:
-# preserve and use pristine Cargo.lock
-	[ -f Cargo.lock.orig ] || cp Cargo.lock Cargo.lock.orig
-	cp -f Cargo.lock.orig Cargo.lock
-
-# modernize crates
-	cargo update
-
 # preserve needed crates
-	cargo vendor --versioned-dirs debian/vendorlibs~
+	/usr/bin/cargo vendor --locked --versioned-dirs debian/vendorlibs~
 	rm -rf debian/vendorlibs
 	mkdir debian/vendorlibs
 	cd debian/vendorlibs~ && mv --target-directory=../vendorlibs $(VENDORLIBS)
 
-# use newer crates
-	$(call _mangle,structopt,0.2,>= 0.2| <= 0.3,ulid-1.1.3)
-
 # use older crates
-	$(call _mangle,memoffset,0.9,>= 0.8.0| <= 0.9,pyo3-0.21.2)
+	$(call _mangle,memoffset,0.9,>= 0.8.0| <= 0.9,pyo3-0.23.5)
 
 # avoid WASM-only crates
 	perl -gpi \
 	 -e 's/\[target(\W+cfg\(target)?\W+wasm[^\n]*(\n[^\[\n][^\n]*)*//g;' \
-	 debian/vendorlibs/ulid-1.1.3/Cargo.toml
+	 debian/vendorlibs/ulid-1.2.1/Cargo.toml
+
+	perl -gpi \
+	 -e 's/\[target\..cfg\(all\(.*target_os = "wasi".*[^\n]*(\n[^\[\n][^\n]*)*//g;' \
+	 debian/vendorlibs/getrandom-0.3.1/Cargo.toml
+
+# avoid Windows-only crates
+	perl -gpi \
+	 -e 's/\[target\..cfg\(all\(windows.*[^\n]*(\n[^\[\n][^\n]*)*//g;' \
+	 debian/vendorlibs/getrandom-0.3.1/Cargo.toml
 
 # strip checksums for mangled crates
 	echo '{"package":"Could not get crate checksum","files":{}}' \
 	 | tee $(patsubst %,debian/vendorlibs/%/.cargo-checksum.json,\
-	 pyo3-0.21.2 \
-	 ulid-1.1.3 \
+	 getrandom-0.3.1 \
+	 pyo3-0.23.5 \
+	 ulid-1.2.1 \
 	 )
 
 # cleanup
